#========================================================================================
# package      DE_EPAGES::GoogleSmartShopping::API::Constants
# state        public
#----------------------------------------------------------------------------------------
# description  This is the place for common GoogleSmartShopping values and constants.
#========================================================================================
package DE_EPAGES::GoogleSmartShopping::API::Constants;
use base Exporter;

use strict;

our @EXPORT_OK = qw (
    GOOGLE_SMART_SHOPPING_APP_SCOPES
    GOOGLE_ERROR_CODES
);

use constant GOOGLE_SMART_SHOPPING_APP_SCOPES => qw(
    https://www.googleapis.com/auth/content
    https://www.googleapis.com/auth/siteverification
    https://www.googleapis.com/auth/adwords
    https://www.googleapis.com/auth/userinfo.email
);

1;