#========================================================================================
# package      DE_EPAGES::Saferpay2::API::Attributes::PaymentMethodSaferpay2
# state        public
# base         DE_EPAGES::Object::API::BaseAttribute
# description  Attribute interface for PaymentMethodSaferpay2
#========================================================================================
package DE_EPAGES::Saferpay2::API::Attributes::PaymentMethodSaferpay2;
use base qw ( DE_EPAGES::Object::API::BaseAttribute );

use strict;


#========================================================================================
# function     getAttributes
# state        public
#----------------------------------------------------------------------------------------
# syntax       getAttributes( PaymentMethodSaferpay2, $aName );
#----------------------------------------------------------------------------------------
# description  Returns attribute values of an object.
#               Used by <function DE_EPAGES::Object::Object::Object::get>
#----------------------------------------------------------------------------------------
# input        $PaymentMethodSaferpay2 | object | DE_EPAGES::Saferpay2::API::Object::PaymentMethodSaferpay2
# input        $aNames | list of attribute names | ref.array
# return       $hValues | attribute name => value hash | ref.hash
#========================================================================================
sub getAttributes {
    my $self = shift;
    my ($PaymentMethodSaferpay2, $aName) = @_;
    my $hInfo = {};
    foreach my $Name (@{$aName}) {
        if($Name eq 'AreMandatoryFieldsSet') {
            $hInfo->{$Name} = $PaymentMethodSaferpay2->areMandatoryFieldsSet();
        }
    }
    return $hInfo;
}
1;